Subject: Re: #!/bin/sh troubles
From: [email-masked] (Michael Wood)

30 Dec 1998 12:29:55 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Christopher Seawood" <[email-masked]>
Cc: <[email-masked]>

Hi

I'm sure I got something similar a while ago and it went away when i did:
    cd /Cygnus/cygwin-b20/H-i586-cygwin32/bin
    mv sh.exe sh-orig.exe
    cp bash.exe sh.exe
    ln -s /Cygnus/cygwin-b20/H-i586-cygwin32/bin/bash.exe /bin/bash
    ln -s /Cygnus/cygwin-b20/H-i586-cygwin32/bin/bash.exe /bin/sh

I'm not sure where the problem is, but that fixed it for me.

-----Original Message-----
From: Christopher Seawood <[email-masked]>
To: Christopher G. Faylor <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Wednesday, December 30, 1998 12:32 PM
Subject: Re: #!/bin/sh troubles

>On 29 Dec 1998, Christopher G. Faylor wrote:
>
>> In article
<[email-masked].
com>,
>> Christopher Seawood <[email-masked]> wrote:
>> >On Mon, 7 Dec 1998, it was written:
>> >> I copied b20.1's sh.exe to /bin/sh and cp removed the execute
permissions.
>> >> Chmod'ing the binary did not work either.  So I moved /bin/sh to
>> >> /bin/sh.exe.  Autoconf runs and spits 6 lines of control chars, each
>> >> ending with ": not found".  Then it spits out
>> >>      /bin/sh.exe: 11: Syntax error: ")" unexpected.

Hope that helps :)

--
Michael Wood        | Kingsley Technologies
[email-masked] | Tel: +27 21 762 0276

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".